# pandas.DatetimeIndex.to_series

DatetimeIndex.to_series(keep_tz=NoDefault.no_default, index=None, name=None)

  Create a Series with both index and values equal to the index keys useful with map for returning an indexer based on an index.

  Parameters
    keep_tz optional, defaults True

      Return the data keeping the timezone.

      If keep_tz is True:

      > If the timezone is not set, the resulting Series will have a datetime64[ns] dtype.

      > Otherwise the Series will have an datetime64[ns, tz] dtype; the tz will be preserved.

      If keep_tz is False:

      > Series will have a datetime64[ns] dtype. TZ aware objects will have the tz removed.

      Changed in version 1.0.0: The default value is now True. In a future version, this keyword will be removed entirely. Stop passing the argument to obtain the future behavior and silence the warning.

    index Index, optional

      Index of resulting Series. If None, defaults to original index.

    name str, optional

      Name of resulting Series. If None, defaults to name of original index.

  Returns
    Series